--- title: "Edit traffic profile" slug: "globaltrafficmanager-profile-edit" tags: ["Global Traffic Manager"] updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/globaltrafficmanager-profile-edit" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit traffic profile Available in Classic and VPC Edit the traffic profile (domain) information according to the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PUT | /gtm/v1/domains/{domainId} | ### Request headers For information about the headers common to all Traffic profile APIs, see [Traffic profile API request headers](/docs/en/globaltrafficmanager-profile-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `domainId` | Integer | Required | Profile ID - See [View profile](/docs/en/globaltrafficmanager-profile-view) | ### Request syntax The request syntax is as follows. ``` { "policyId": 1, "ttl": 300, "claRegion": "claRegion" } ``` ### Request body See [ProfileRequest](/docs/en/profile-request#%ED%95%84%EB%93%9C) for the request body. ### Request example The following is a sample request. ``` curl --location --request PUT 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/domains/14***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "policyId": ****, "ttl": 400, "claRegion": "KR" }' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Traffic profile APIs, see [Traffic profile API response status codes](/docs/en/globaltrafficmanager-profile-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 14*** ``` ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "05X000", "message": "Invalid value.
Hover your mouse over the displayed area to see the details in a tooltip.", "devMessage": "Invalid value.", "moreInfo": { "validationInfo": [ { "fieldPath": "policyId", "msg": "You don't have permissions for the policy or the policy doesn't exist." } ], "timestamp": "2022-11-16T18:45:06.451+09:00" } } } ```